Skip to main content
DELETE
/
quickbooks-desktop
/
sales-receipts
/
{id}
JavaScript
import Conductor from 'conductor-node';

const conductor = new Conductor({
  apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});

const salesReceipt = await conductor.qbd.salesReceipts.delete('123ABC-1234567890', {
  conductorEndUserId: 'end_usr_1234567abcdefg',
});

console.log(salesReceipt.id);
import os
from conductor import Conductor

conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
sales_receipt = conductor.qbd.sales_receipts.delete(
id="123ABC-1234567890",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(sales_receipt.id)
curl --request DELETE \
--url https://api.conductor.is/v1/quickbooks-desktop/sales-receipts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>'


{
  "id": "123ABC-1234567890",
  "objectType": "qbd_sales_receipt",
  "refNumber": "RECEIPT-1234",
  "deleted": true
}

Authorizations

Authorization
string
header
required

Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").

Headers

Conductor-End-User-Id
string
required

The ID of the End-User to receive this request.

Example:

"end_usr_1234567abcdefg"

Path Parameters

id
string
required

The QuickBooks-assigned unique identifier of the sales receipt to delete.

Maximum string length: 36
Example:

"123ABC-1234567890"

Response

200 - application/json

Returns a confirmation of the deletion with the ID of the deleted sales receipt.

id
string
required

The QuickBooks-assigned unique identifier of the deleted sales receipt.

Example:

"123ABC-1234567890"

objectType
string
required

The type of object. This value is always "qbd_sales_receipt".

Allowed value: "qbd_sales_receipt"
Example:

"qbd_sales_receipt"

refNumber
string | null
required

The case-sensitive user-defined reference number of the deleted sales receipt.

Example:

"RECEIPT-1234"

deleted
boolean
required

Indicates whether the sales receipt was deleted.

Example:

true